<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateServiceProfileReq StructType
 * @subpackage Structs
 */
class UpdateServiceProfileReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isDefault;
    /**
     * The serviceProfileInfos
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos
     */
    public $serviceProfileInfos;
    /**
     * Constructor method for UpdateServiceProfileReq
     * @uses UpdateServiceProfileReq::setNewName()
     * @uses UpdateServiceProfileReq::setDescription()
     * @uses UpdateServiceProfileReq::setIsDefault()
     * @uses UpdateServiceProfileReq::setServiceProfileInfos()
     * @param string $newName
     * @param string $description
     * @param string $isDefault
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos
     */
    public function __construct($newName = null, $description = null, $isDefault = null, \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setIsDefault($isDefault)
            ->setServiceProfileInfos($serviceProfileInfos);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateServiceProfileReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateServiceProfileReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isDefault value
     * @return string|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param string $isDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateServiceProfileReq
     */
    public function setIsDefault($isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get serviceProfileInfos value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos|null
     */
    public function getServiceProfileInfos()
    {
        return $this->serviceProfileInfos;
    }
    /**
     * Set serviceProfileInfos value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateServiceProfileReq
     */
    public function setServiceProfileInfos(\\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos = null)
    {
        $this->serviceProfileInfos = $serviceProfileInfos;
        return $this;
    }
}
